/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/*
    Created on : Apr 1, 2019, 5:20:15 PM
    Author     : chari
*/
* {
  box-sizing: border-box;
}
/*Layout that keep footer at the bottom*/
html, body{
    height: 100%;
}
body{
    display: flex;
    flex-direction: column;
    position: relative;
}
.main{
    flex: 1 0 auto;
}
.footer{
    width: 100%;
    padding: 4px;
    background: #ff5d5d;
    color: white;
    text-align: center;
    border-radius: 3px;
    flex-shrink: 0;
}
.teamLogo{
    height: 18px;
}

/*Navbar*/
div.content{
    margin-top: 80px;
}
.navLogo{
    width: 200px;
}
.navOptions, .navOptions:visited{
    color: white;
    font-size: 15px;
}
.navOptions:hover, .navOptions:active{
    color: black;
    cursor: pointer;
}
.userName {
    color: white;
    font-size: 15px;
    padding: 15.2px 15px 14px 15px;
    cursor: default;
}
.activeNav{
    background: #ff855c;
}
nav.navbar{
    background: #ff5d5d;
    border:none;
    border-radius: 3px;
}
button.navbar-toggle{border: white solid 1px;}
button:hover.navbar-toggle{background: #ff8080;}
.icon-bar{background: white;
}
.nav{
  padding-right: 30px;
}

/*Back To Top*/
#backToTop{
    font-size: 80px;
    color: #ff855c;
    text-align: center;
    text-decoration: none;
    opacity: 0.5;
    z-index: 2;
    display: none;
    -webkit-transform: rotate(270deg);
    transition: rotate(270deg);
    position: fixed;
    right: 20px;
    bottom: 25px;
}
#backToTop:hover{
    opacity: 1;
}

/*SignIn/SignUp*/
.SignInUP-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 800px;
}
.SignInUP-container > div{
    margin: 10px auto;
    width: 300px;
}
.inputbox{
    width: 100%;
    height: 40px;
    border: solid 2.5px #ff9999;
    border-radius: 15px;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    outline: none;
}
.inputbox:focus{
    border: solid 2.5px #ff5d5d;
    border-radius: 5px;
}


.submitbtn{
    color: white;
    font-size: 25px;
    background: #ff5d5d;
    width: 75%;
    height: 40px;
    border-radius: 5px;
    margin: 12px 33px;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    outline: none;
}

.submitbtn1 {
  color: white;
  font-size: 25px;
  background: #ff5d5d;
  width: 75%;
  height: 40px;
  border-radius: 5px;
  margin: 12px 33px;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  outline: none;
}

.submitbtn1:hover {
  border-radius: 10px;
  box-shadow: 0 0px 16px 0 rgba(0,0,0,0.24),0 0px 50px 0 rgba(0,0,0,0.19);
}

.submitbtn1:disabled,
.submitbtn1[disabled=disabled]{
  background: #cccccc;
  color: white;
  font-size: 25px;
  width: 75%;
  height: 40px;
  border-radius: 5px;
  margin: 12px 33px;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  outline: none;
}
.submitbtn:hover{
    border-radius: 10px;
    box-shadow: 0 0px 16px 0 rgba(0,0,0,0.24),0 0px 50px 0 rgba(0,0,0,0.19);
}

/*Home*/
/*HomeTop*/
.hometop{
    text-align: center;
    padding-bottom: 50px;
}
.message{
    font-size: 30px;
    color: #ff5d5d;
}
.homeImg{
    width: 650px;
    border-left: 70px solid transparent;
    border-right: 70px solid transparent;
    margin: auto;
}
.mainOptions:link, .mainOptions:visited{
    font-size: 40px;
    padding: 0px 70px;
    color: black;
    text-decoration: none;
    border: 2px solid white;
    border-radius: 10px;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
.mainOptions:hover{
    color: #800000;
    text-decoration: none;
    border: 2px solid #ff5d5d;
    border-radius: 20px;
}
.AisleHeading{
    font-size: 40px;
    padding: 0px 70px;
    color: #800000;
    text-decoration: none;
    border: 2px solid #ff5d5d;
    border-radius: 20px;
}
.AisleHeading:hover{
    color: #800000;
    text-decoration: none;
}
.modal{
  position: absolute;
  top: 300px;
  z-index: 10040;
  overflow: auto;
  overflow-y: auto;
}
.modal-dialog{
  background: white;
  border: 2px solid #ff5d5d;
  border-radius: 10px;
}
.modalLink:link, .modalLink:visited{
  font-size: 20px;
  border-radius: 5px;
  background: #ff5d5d;
  color: white;
  text-decoration: none;
  margin: auto 5px;
  padding: 5px;
  -webkit-transition: 0.5s;
  transition: 0.5s;
  border-style: solid;
  border-left-color: #cccccc;
  border-top-color: #cccccc;
  border-right-color: #737373;
  border-bottom-color: #737373;
}
.modalLink:hover{
  text-decoration: none;
  border-radius: 10px;
  box-shadow: 0 0px 16px 0 rgba(0,0,0,0.24),0 0px 50px 0 rgba(0,0,0,0.19);
}
.modalLink:active{
  -webkit-transition: 0s;
  transition: 0s;
  border-left-color: #737373;
  border-top-color: #737373;
  border-right-color: #cccccc;
  border-bottom-color: #cccccc;
}
.searchborder{
    width: 70%;
    height: 40px;
    padding-top: 10px;
    margin: auto;
    border: 1px #707070 solid;
    border-radius: 10px;
    padding: 10px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
    position: absolute;
    left: 15%;
    z-index: 2;
    background: white;
}
.searchtext{
    width: 100%;
    height: 99%;
    border: none;
    border-radius: 10px;
    outline: none;
    position: absolute;
    top: 0%;
    left: 0%;
}
.searchtext:focus ~ .searchbtn{
    color: transparent;
    z-index: -1;
}
.searchbtn{
    background: none;
    border:none;
    border-radius: 10px;
    outline: none;
    position: absolute;
    top: 5%;
    right: 0%;
    font-size: 25px;
}
.searchbtn:hover{
    color: #707070;
}
/*HomeBot*/
.aisle{
    display: flex;
    flex-flow: wrap;
    padding: 5px;
    border-bottom: 2px solid #cccccc;
    justify-content: center;
    position: relative;
}
.aisleName{
    font-weight: 700;
    padding-bottom: 10px;
    border-bottom: 1px solid #cccccc;
}
.itemCard{
    width: 180.8px;
    height: 258px;
    margin: 10px 20px 20px 20px;
    padding-left: 15px;
    padding-right: 15px;
    display: inline-block;
    border: 2px solid #cccccc;
    border-radius: 2px;
    -webkit-transition: 0.2s;
    transition: 0.2s;
    position: relative;
}
.itemCard:hover{
    border: 2px solid #ff8080;
    border-radius: 5px;
    box-shadow: 0 0px 16px 0 rgba(0,0,0,0.24),0 0px 50px 0 rgba(0,0,0,0.19);
}
.itemLink:link, .itemLink:hover, .itemLink:visited{
    color: black;
    text-decoration: none;
}
.itemImg{
    border:0;
    margin: 2px auto;
}
.itemName{
    white-space: nowrap;
    margin: auto;
}
.itemPrice{
    font-style: oblique;
    font-weight: bold;
    margin: 5px auto;
    position: absolute;
    bottom: 45px;
}
.addbtn{
    color: white;
    font-size: 22.5px;
    background: #ff5d5d;
    width: 146.8px;
    height: 42px;
    border-left-color: #ff8080;
    border-top-color: #ff8080;
    border-right-color: #ff4d4d;
    border-bottom-color: #ff4d4d;
    border-radius: 5px;
    outline: none;
    position: absolute;
    bottom: 5px;
}
.addbtn:active{
    border-left-color: #ff4d4d;
    border-top-color: #ff4d4d;
    border-right-color: #ff8080;
    border-bottom-color: #ff8080;
}
.seeMoreLink:link, .seeMoreLink:visited{
    position: absolute;
    right: 25px;
    bottom: 0px;
    color: black;
    text-decoration: none;
}
.seeMoreLink:hover{
    color: #cccccc;
}

/*CartPage*/
.cart-container{
    display: flex;
    flex-flow: row wrap-reverse;
    max-width: inherit;
    position: relative;
}
.cartList{
    margin: 10px 20px;
    width: 700px;
}
.itemCart{
    width: 100%;
    margin: 10px auto 20px auto;
    padding-left: 15px;
    padding-right: 15px;
    display: inline-block;
    border-bottom: 1.5px solid #cccccc;
    border-radius: 5px;
    -webkit-transition: 0.2s;
    transition: 0.2s;
    position: relative;
}
.itemImgCart{
    width: 100px;
    border:0;
    margin: 5px auto;
    display: inline-block;
}
.itemPriceCart{
    font-style: oblique;
    font-weight: bold;
    position: absolute;
    margin: auto;
    top: 40%;
    right: 47%;
}
.quantityBox {
    position: absolute;
    top: 30%;
    right: 8%;
}
.quantityBtn {
    display: inline-block;
    font-size: 20px;
    color: white;
    width: 33px;
    height: 35px;
    text-align: center;
    vertical-align: middle;
    background: #ff5d5d;
    -webkit-user-select: none;
    user-select: none;
}
.quantityBtn:hover {
    cursor: pointer;
    background: #ff855c;
}
.quantityBtn:active {
    border: 1px solid #ff5d5d;
}
.decBtn {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 15px;
    margin-right: -4px;
    padding: 3px 0;
}
.incBtn {
    border-top-right-radius: 15px;
    border-bottom-right-radius: 5px;
    margin-left: -4px;
    padding: 4px 0;
}
.inputQuantity {
    text-align: center;
    border: 1px solid #ff5d5d;
    vertical-align: middle;
    width: 60px;
    height: 35px;
    outline: none;
}
input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.cartSummary{
    width: 300px;
    border: 1px solid #707070;
    background: #f7f7f7;
    padding: 10px 20px 20px 20px;
    position: absolute;
    top: 90px;
    right: 80px;
}
.cartSummaryHeader{
    color: #707070;
    text-align: center;
    font-weight: bolder;
}
.cartSummaryLabel {
    color: #707070;
    font-size: 20px;
    font-weight: bold;
    line-height: 2;
}
.cartSummaryPrice {
    font-size: 20px;
    text-align: right;
    font-style: oblique;
    line-height: 2;
}

/*PaymentPage*/
.payment-container{
    display: flex;
    flex-flow: row wrap;
    max-width: 1000px;
    position: relative;
    justify-content: center;
}
.creditcardInfo{
    width: 300px;
    margin: 10px auto;
}
.paymentSummary{
    width: 300px;
    border: 1px solid #707070;
    background: #f7f7f7;
    padding: 10px 20px 20px 20px;
    margin: 10px auto;
}

/*Aisles Page*/
.aisles-container {
  max-width: 1440px;
  display: flex;
  flex-flow: wrap;
  justify-content: center;
  position: relative;
}
.aisleCard {
  width: 250px;
  border: 2px solid #cccccc;
  border-radius: 2px;
  -webkit-transition: 0.2s;
  transition: 0.2s;
  margin: 10px 40px 40px;
  padding: 0px 15px;
  position: relative;
}
.aisleCard:hover {
  border: 2px solid #ff8080;
  border-radius: 5px;
  box-shadow: 0 0px 16px 0 rgba(0,0,0,0.24),0 0px 50px 0 rgba(0,0,0,0.19);
}
.aisleCard div {
  width: auto;
  height: 55px;
  font-size: 22px;
  text-align: center;
  font-weight: bold;
  word-wrap: break-word;
}

/*ItemsList Page*/
.items-container{
  display: flex;
  flex-flow: wrap;
  max-width: inherit;
  justify-content: center;
  position: relative;
}

/*Item Page*/
/*back*/
.backIcon:link, .backIcon:visited{
  font-size: 20px;
  color: #707070;
  text-decoration: none;
  display: inline-block;
  margin-bottom: 10px;
}
.backIcon span{
  font-size: 15px;
}
.backIcon:hover{
  color: #ff5d5d;
  text-decoration: none;
}
/*Item Details*/
.item-container{
  display: flex;
  flex-flow: wrap;
  max-width: inherit;
  justify-content: center;
  position: relative;
}
.itemImg-container{
  width: 40%;
  padding-right: 20px;
}
.itemImgItem{
  margin: auto;
  width: 80%;
}
.item-detail{
  width: 60%;
  position: relative;
}
.itemNameItem{
  font-weight: bold;
  margin: 20px auto;
}
.itemPriceItem{
  font-style: oblique;
  font-weight: bold;
  margin: 5px auto;
  position: absolute;
  bottom: 70px;
}
.addbtnItem{
  color: white;
  font-size: 22.5px;
  background: #ff5d5d;
  width: 146.8px;
  height: 42px;
  border-left-color: #ff8080;
  border-top-color: #ff8080;
  border-right-color: #ff4d4d;
  border-bottom-color: #ff4d4d;
  border-radius: 5px;
  margin: auto;
  outline: none;
  position: absolute;
  bottom: 20px;
}
.addbtnItem:active{
    border-left-color: #ff4d4d;
    border-top-color: #ff4d4d;
    border-right-color: #ff8080;
    border-bottom-color: #ff8080;
}
.itemDescriptionLabel{
  width: 100%;
  font-weight: bold;
  cursor: pointer;
}
.itemDescriptionLabel:hover{
  color: #707070;
}
.itemDescription{
  width: 100%;
  font-size: 18px;
}
/*Receipt Page*/
.receiptHeader1{
    text-align: center;
    font-size: 34px;
    font-weight: bold;"
}
.receiptHeader2{
    text-align: center;
    font-size: 20px;"
}
.orderNumberHeader{
    font-size: 25px;
}
#orderNumber{
    font-weight: bold;
}
.cartSummaryReceipt{
    width: 300px;
    border: 1px solid #707070;
    background: #f7f7f7;
    padding: 10px 20px 20px 20px;
    position: absolute;
    top: 35px;
    right: 80px;
}
.infoBox{
    background: white;
    margin-bottom: 15px;
}
.infoTitle{
    border-bottom: 1px solid #707070;
}
.infoDetails{
    padding-left: 40px;
}
.textReceiptHeader{
    font-size: 20px;
    font-weight: bold;
    margin: 5px 0px;
}
.textReceiptInfo{
    font-size: 18px;
    font-weight: normal;
    margin: 0px 0px 5px;
}
.itemQuantity{
    position: absolute;
    margin: auto;
    top: 40%;
    right: 15%;
}
.backHomebtn{
    color: white;
    font-size: 25px;
    background: #ff5d5d;
    width: 250px;
    height: 40px;
    float: right;
    border-radius: 5px;
    margin: 12px 33px;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    outline: none;
}
.backHomebtn:hover{
    border-radius: 10px;
    box-shadow: 0 0px 16px 0 rgba(0,0,0,0.24),0 0px 50px 0 rgba(0,0,0,0.19);
}
.backHome:link, .backHome:hover, .backHome:visited{
    color: white;
    text-decoration: none;
}
/*Devices with screen smaller than or equal to 1200px*/
@media only screen and (max-width: 1200px){
  /*Back To Top*/
  #backToTop{
      font-size: 60px;
      right: 15px;
      bottom: 30px;
  }

  /*HomeBot*/
  .itemCard{
      width: 148.8px;
      height: 206px;
      margin: 8px 16px 16px 16px;
      padding-left: 12px;
      padding-right: 12px;
  }
  .itemName{
      font-size: 14.4px;
  }
  .itemPrice{
      font-size: 11.2px;
      margin: 4px auto;
      bottom: 36px;
  }
  .addbtn{
      font-size: 18px;
      width: 117.44px;
      height: 33px;
      bottom: 4px;
  }

  /*CartPage*/
  .cartList{
      width: 500px;
  }
  .itemPriceCart{
      right: 45%;
  }

  .quantityBox {
      right: 4%;
  }
}

/*Devices with screen smaller than or equal to 992px*/
@media only screen and (max-width: 992px){
  /*Back To Top*/
  #backToTop{
      right: 5px;
  }

  /*Top-HomePage*/
  .message {
      font-size: 22.5px;
  }
  .mainOptions:link{
      font-size: 30px;
      padding: 0px 52.5px;
  }
  .AisleHeading{
      font-size: 30px;
      padding: 0px 52.5px;
  }
  .searchborder{
      height: 30px;
  }
  .searchbtn{
        font-size: 18.75px;
  }

  /*HomeBot*/
  .aisleName{
        font-size: 18px;
  }
  .itemCard{
      width: 113.6px;
      height: 165.12px;
      margin: 6.4px 12.8px 12.8px 12.8px;
      padding-left: 9.6px;
      padding-right: 9.6px;
  }
  .itemImg{
      margin: 1px auto;
  }
  .itemName{
      font-size: 11.52px;
  }
  .itemPrice{
      font-size: 8.96px;
      margin: 3.2px auto;
      bottom: 28.8px;
  }
  .addbtn{
      font-size: 14.4px;
      width: 90.4px;
      height: 26.88px;
      bottom: 3.2px;
  }
  .seeMoreLink{
      font-size: 10.5px;
  }

  /*CartPage*/
  .cart-container{
      justify-content: center;
  }
  .cartSummary{
      position: static;
  }
  /*PaymentPage*/
  .paymentSummary{
    position: static;
  }

  /*Receipt Page*/
  .cartSummaryReceipt{
      position: static;
  }
}

/*Devices with screen smaller than or equal to 768px*/
@media only screen and (max-width: 768px){
  /*Back To Top*/
  #backToTop{
      right: 0px;
  }

  /*Top-HomePage*/
  .mainOptions:link{
      font-size: 25px;
      padding: 0px 40px;
  }
  .AisleHeading{
      font-size: 25px;
      padding: 0px 40px;
  }

  /*HomeBot*/
  .itemCard{
      width: 95%;
      height: auto;
  }
  .itemImg{
      width: 90.4px;
      margin: 1px;
  }
  .itemName{
      font-size: 14.4px;
  }
  .itemPrice{
      font-size: 14px;
      margin: 4px auto;
      bottom: 15px;
      right: 9.6px;
  }
  .addbtn{
      font-size: 18px;
      width: auto;
      height: 33px;
      bottom: 40px;
      right: 9.6px;
  }

  /*Aisles Page*/
  .aisleCard {
    width: 100%;
    margin: 10px auto;
    padding: 1px;
  }
  .aisleCard div {
    width: 70%;
    position: absolute;
    top: 30px;
    right: 10px;
    text-align: right;
    font-size: 20px;
    font-weight: 500;
  }

  /*ItemsList Page*/
  .items-container{
    border-left-width: 0px;
  }

  /*Item Details*/
  .itemNameItem{
    font-size: 18px;
  }
  .itemPriceItem{
    font-size: 14px;
    bottom: 60px;
  }
  .addbtnItem{
    font-size: 18px;
    width: 117.44px;
    height: 33px;
  }
  .itemDescriptionLabel{
    font-size: 14px;
  }
  .itemDescription{
    font-size: 14px;
  }
}

/*Devices with screen smaller than or equal to 496px*/
@media only screen and (max-width: 496px){
  /*Top-HomePage*/
  .message {
      font-size: 16.5px;
  }
  .mainOptions:link{
      font-size: 16px;
      padding: 0px 30px;
      border: 1px solid white;
  }
  .mainOptions:hover{
      border: 1px solid #ff5d5d;
  }
  .AisleHeading{
      font-size: 16px;
      padding: 0px 30px;
      border: 1px solid #ff5d5d;
  }
  .AisleHeading:hover{
      border: 1px solid #ff5d5d;
  }
  .searchborder{
      height: 20px;
  }
  .searchbtn{
        font-size: 12.5px;
  }

  /*CartPage*/
  .itemPriceCart{
      font-size: 12px;
      right: 45%;
  }
  .itemImgCart{
      width: 70px;
  }
  .quantityBox {
      top: 35%;
      right: 5%;
  }
  .quantityBtn {
      font-size: 15px;
      width: 25px;
      height: 30px;
  }
  .inputQuantity {
      width: 35px;
      height: 30px;
  }

  /*Aisles Page*/
  .aisleCard div {
    width: 60%;
    top: 35px;
    font-size: 18px;
  }

  /*ItemsList Page*/
  .items-container{
    padding-left: 0px;
    padding-right: 0px;
  }

  /*Item Details*/
  .itemImg-container{
    width: 100%;
    padding-right: 0px;
  }
  .itemImgItem{
    width: 50%;
  }
  .item-detail{
    width: 80%;
  }
  .itemNameItem{
    font-size: 14.4px;
  }
  .itemPriceItem{
    font-size: 11.52px;
    position: static;
  }
  .addbtnItem{
    font-size: 18px;
    width: 100%;
    height: 33px;
    position: static;
  }
  .itemDescription{
    font-size: 11.52px;
  }

  /*Receipt Page*/
  .receiptHeader1{
      font-size: 25px;
  }
  .receiptHeader2{
      font-size: 16px;
  }
  .orderNumberHeader{
      font-size: 20px;
  }
  .infoTitle{
      font-size: 25px;
  }
  .infoDetails{
      padding-left: 15px;
  }
  .textReceiptHeader{
      font-size: 18px;
  }
  .textReceiptInfo{
      font-size: 15px;
      margin: 0px 0px;
  }
  .backHomebtn{
      margin: auto;
      width: 100%;
  }
}
